SphinxClient::setFilter
SphinxClient::setFilterRange
SphinxClient
PHP Manual

# SphinxClient::setFilterFloatRange

(PECL sphinx >= 0.1.0)

SphinxClient::setFilterFloatRange — Add new float range filter

### Description

public bool SphinxClient::setFilterFloatRange ( string `$attribute` , float `$min` , float `$max` [, bool `$exclude` = false ] )

Adds new float range filter to the existing list of filters. Only those documents which have `attribute` value stored in the index between `min` and `max` (including values that are exactly equal to `min` or `max`) will be matched (or rejected, if `exclude` is `TRUE`).

### Parameters

`attribute`

  An attribute name.

`min`

  Minimum value.

`max`

  Maximum value.

`exclude`

  If set to `TRUE`, matching documents are excluded from the result set.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setFilterRange
- SphinxClient::setFilter
- SphinxClient::resetFilters

SphinxClient::setFilter
SphinxClient::setFilterRange
SphinxClient
PHP Manual